Transcript LOL API
GET
/spaces/{spaceId}/recordings/{recordingId}/translations/{translationId}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId*string

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

translationId*string

ID of the translation. You can find from the url in dashboard or using the list translations endpoint.

Query Parameters

format?string

Format of the translation content. Can be one of:

  • json
  • text
  • csv
  • pdf
  • word
  • srt
  • vtt

Defaults to json

jsonContentType?string

Response format type of JSON contents

Can be one of

  • words
  • paragraphs
  • segments

Details on each format:

  • Words: Gives an array of words with timings.
  • Paragraphs: Gives an array of paragraphs - constructed using our own carefully calibrated heuristics.
  • Segments: Gives an array of segments as given by Whisper model.

Defaults to paragraphs

subMaxCharactersPerLine?integer

Maximum characters per line of subtitle. Lines cannot be shorter than a single word.

Only relavent for subtitle formats

subMaxSecondsPerLine?integer

Maximum duration in seconds per subtitle block. Subtitle blocks cannot be shorter than a single word.

Only relevant for subtitle formats

subMaxLinesPerSubtitle?integer

Maximum number of lines per subtitle block. Controls how many lines can appear simultaneously on screen.

Only relevant for subtitle formats. Defaults to 1

docIncludeSpeakers?boolean

If set, document formats will include speaker information for each paragraphs.

Only relavent for text, csv, word formats. Defaults to true

docIncludeTimestamps?boolean

If set, document formats will include time information for each paragraphs.

Only relavent for text, csv, word formats. Defaults to true

docIncludeTlolBranding?string

If set, document formats will include limited transcript branding.

Only relavent for text, pdf, word formats. Defaults to true

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://transcript.lol/api/v1/spaces/string/recordings/string/translations/string"
{
  "words": [
    {
      "word": "string",
      "start": 0,
      "end": 0,
      "confidence": 0,
      "speaker": 0
    }
  ],
  "paragraphs": [
    {
      "text": "string",
      "start": 0,
      "end": 0,
      "speaker": 0
    }
  ],
  "segments": [
    {
      "text": "string",
      "start": 0,
      "end": 0,
      "speaker": 0
    }
  ]
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}